Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
users
/
{userSid}
/
profile
Get User Profile
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/users/{userSid}/profile \
  --header 'token: <api-key>'
{
  "sid": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "preferredEmail": "<string>",
  "username": "<string>",
  "smarterIdEnrollmentSid": "<string>",
  "mobilePhone": "<string>",
  "homePhone": "<string>",
  "address": "<string>",
  "lmsId": "<string>",
  "apiId": "<string>",
  "sisId": "<string>",
  "externalId": "<string>",
  "latitude": 123,
  "longitude": 123,
  "lastEnrollmentSync": "<string>",
  "currencyCode": "<string>",
  "timeZoneSid": "<string>",
  "timezone": {},
  "maxTravelDistance": 123,
  "maxTravelDistanceUnits": "<string>",
  "createdDate": "<string>",
  "editDate": "<string>",
  "freshdeskUserId": "<string>",
  "role": "<string>",
  "enabled": true,
  "authentication": {},
  "smarterId": {},
  "course": {},
  "exam": {},
  "identity": {}
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$
userSid
string
required

User Sid

Pattern: ^US[a-f0-9]{32}$

Response

200 - application/json

Successful

sid
string | null

User SID

firstName
string | null

First name

lastName
string | null

Last name

email
string | null

Email

preferredEmail
string | null

Preferred email

username
string | null

Username

smarterIdEnrollmentSid
string | null

SmarterID enrollment SID

mobilePhone
string | null

Mobile phone

homePhone
string | null

Home phone

address
string | null

Address

lmsId
string | null

LMS ID

apiId
string | null

API ID

sisId
string | null

SIS ID

externalId
string | null

External ID

latitude
number | null

Latitude

longitude
number | null

Longitude

lastEnrollmentSync
string | null

Last enrollment sync

currencyCode
string | null

Currency code

timeZoneSid
string | null

Time zone SID

timezone
object

Timezone details

maxTravelDistance
number | null

Max travel distance

maxTravelDistanceUnits
string | null

Max travel distance units

createdDate
string | null

Created date

editDate
string | null

Edit date

freshdeskUserId
string | null

Freshdesk user ID

role
string | null

Role

enabled
boolean | null

Enabled

authentication
object

Authentication data

smarterId
object

SmarterID data

course
object

Course

exam
object

Exam

identity
object

Identity